/* ========== Font ========== */
@font-face {
    font-family: "Unifont Ex Mono";
    src:
        local("Unifont Ex Mono"),
        url("font/UnifontExMono.woff") format("woff");
    font-display: swap;
}

@font-face {
    font-family: "Better VCR";
    src:
        local("Better VCR"),
        url("font/Better VCR.woff") format("woff");
    font-display: swap;
}

@font-face {
    font-family: "Alkhemikal";
    src:
        local("Alkhemikal"),
        url("font/Alkhemikal.woff") format("woff");
    font-display: swap;
}

/* ========== Loading ========== */
.hidden {
    display: none !important;
}

#loader {
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, 0.6);
    backdrop-filter: blur(20px);
    -webkit-backdrop-filter: blur(20px);
    z-index: 9999;
    transition: opacity .5s ease;
    display: flex;
    justify-content: center;
    align-items: center;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.spinner {
    border: 12px solid #353535;
    border-top: 12px solid #6346de;
    border-radius: 50%;
    width: 100px;
    height: 100px;
    animation: spin 1s linear infinite;
    margin-bottom: 12px;
}

@keyframes spin {
    to {
        transform: rotate(360deg);
    }
}

/* ========== Stars background ========== */
@keyframes rise {
    0% {
        transform: translateY(0);
        opacity: 1;
    }

    100% {
        transform: translateY(-101vh);
        opacity: 0.2;
    }
}

.stars-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    pointer-events: none;
    z-index: -1;
    overflow: hidden;
}

.star {
    position: absolute;
    border-radius: 50%;
    background-color: rgba(99, 70, 222, 0.6);
    box-shadow: 0 0 2px 2px rgba(99, 70, 222, 0.4);
    animation: rise linear infinite;
}

/* ========== Links ========== */
a {
    text-decoration: none;
    color: white;
    cursor: pointer;
    pointer-events: auto;
}

a:hover {
    text-decoration: underline solid currentColor 2px;
}

.front-grid a:hover,
.album-grid a:hover {
    text-decoration: none;
}

p,
h6,
h5,
textarea {
    margin-top: 0px;
    font-family: "Unifont Ex Mono", sans-serif;
    font-weight: 400;
    margin-bottom: 3px;
    color: rgba(255, 255, 255, 0.9);
}

textarea {
    background: transparent;
    resize: vertical;
    width: 100%;
    height: 100%;
    border: none;
}

button {
    pointer-events: auto;
    cursor: pointer;
}

button * {
    user-select: none !important;
    margin: 0 !important;
}

button p,
button h5,
button h6 {
    font-weight: bold;
}

.add-zone {
    border: 2px dashed rgba(255, 255, 255, 0.5);
    border-radius: 10px;
    text-align: center;
    cursor: pointer;
    transition: all .2s;
    height: 76px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.add-zone:hover {
    border-color: rgb(21, 153, 21);
    background-color: rgba(21, 153, 21, 0.1);
}

h1,
h2,
h3,
h4 {
    font-family: "Unifont Ex Mono", sans-serif;
    font-weight: 800;
    margin: 0;
    color: white;
    text-shadow: 1px 1px 3px rgba(255, 255, 255, 0.5);
}

.glass art {
    font-size: clamp(17px, 1.3vw, 33px);
    /*25px*/
    font-family: "Alkhemikal", sans-serif;
    color: white;
}

.lyrics p,
#bio p,
.lyrics textarea {
    font-size: 20px;
    color: whitesmoke;
}

.lyrics art {
    font-size: 25px;
    font-family: "Alkhemikal", sans-serif;
    color: white;
}

.fixe .artist-name {
    font-size: 25px;
    margin: 0;
    color: white;
}

#userToggle .artist-name {
    font-size: 24px;
}

select {
    font-family: "Unifont Ex Mono", sans-serif;
    font-size: 18px;
}

.artist-name,
#bio h3 {
    margin-bottom: 5px;
    font-family: "Alkhemikal", sans-serif;
    color: white;
    -webkit-text-stroke: none;
    text-shadow: 1px 1px 10px black;
}

/* ========== Text format ========== */
option {
    color: black;
}

input {
    color: white;
}

input:focus {
    outline: none;
}

.glass-top p {
    margin: 0;
}

.album-card .title {
    text-align: center;
}

/* ========== Important body ========== */
body {
    margin: 0;
    background-color: rgb(18, 18, 18);
}

.section {
    padding: 2.5% 2%;
    padding-top: max(80px, 2.5%);
    position: relative;
    z-index: 0;
}

/* .section::before {
    content: "";
    position: fixed;
    inset: 0;
    background: linear-gradient(to right,
            rgba(0, 0, 0, 0.3) 0%,
            rgba(0, 0, 0, 0.0) 10%,
            rgba(0, 0, 0, 0.0) 90%,
            rgba(0, 0, 0, 0.3) 100%);
    z-index: -1;
    pointer-events: none;
    height: 100vh;
} */

.max-width {
    min-width: 1280px;
    max-width: 2560px;
    margin: auto;
}

.h-stack {
    display: flex;
    flex-direction: row;
    gap: 0.52vw;
    min-width: 0;
    align-items: center;
}

.h-stack img {
    max-width: 100%;
}

.v-stack,
.welcome .h-stack .glass {
    display: flex;
    flex-direction: column;
    gap: 0.92vh;
    min-width: 0;
}

hr {
    border-style: solid;
    margin-bottom: 15px;
    margin-top: 15px;
}

form {
    margin: 0px;
}

/* ========== Extras ========== */
div[mx-name="view-image-info"] {
    display: none !important;
}